Subject: bug#16087: Setting HOME environment variable in Emacs on Windows has side effects

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Dec 2013 22:09:19 +0200

> Date: Sun, 08 Dec 2013 14:44:55 -0500
> From: SDS <[email-masked]>
> CC: [email-masked]
> 
> Ultimately, I'd like my HOME variable in NT-Emacs to point to the Cygwin 
> HOME directory. This allows any Cygwin utilities used by NT-Emacs to 
> have HOME set correctly. Also, I'd like ~ to be set to the Cygwin HOME 
> directory. I tried changing it in init.el, and that's where this issue 
> arose.

Thanks.  So this sounds like a one-time issue, which, once solved to
your satisfaction, should never pop up again, right?

As for setting this up, my suggestion would be to set HOME in the
environment to point to the Cygwin's HOME, and augment that by
whatever you need in the Bash init files.